System requirements - x360Sync

Written By Tami Sutcliffe (Super Administrator)

Updated at August 13th, 2021

Agent operating systems

  • The x360Sync Thin Client is compatible with the following operating systems: 
   Microsoft Windows

   Windows 10

 

  • The x360Sync desktop client is compatible with the following operating systems: 
   Microsoft Windows    macOS
   Windows 2019 Server    Catalina v.10.15
   Windows 2016 Server    Mojave v.10.14
   Windows 2012 Server R2    Big Sur v.11.5
   Windows 2012 Server    
   Windows 10    

Hardware requirements:

   Hard disk:     35 mb for installation
   RAM    256 mb
   CPU    1 Ghz single-core or better


Web browsers

The following browsers have been explicitly tested for support. Other browsers with HTML 5 support may function, but are not supported with this application. 

  • Chrome 12+
  • Firefox 13+
  • Safari for 6 & 7 OS X, version 5.2.7 for Windows 
  • Internet Explorer 11, including all sub-versions
  • Microsoft Edge for macOS and Windows 83+, including all sub-versions

Mobile platforms

The following mobile platforms are supported by Synced Tool for Android and iOS:

  • Android 5+ 
  • Apple iOS 11+ 

Microsoft Outlook Add-In

The Outlook add-in can be installed in Microsoft Outlook versions 2010+ (Windows 32-bit and Windows 64-bit environments) with .NET 4.7.1 version or higher. Microsoft Outlook for Mac does not support third-party add-ins.

Note: This feature is not supported for Microsoft Outlook installed on Mac operating systems. Microsoft Outlook installed on Mac operating systems does not allow for the installation of add-ins. 

Private Cloud servers

Note: To avoid potential conflicts with Apache, please make sure IIS is not installed.

The system requirements for the server are as follows: 

  Minimum Recommended

Hard Disk

350 mb for installation

1 TB+ direct-attached hard disk

6 gb/s transfer speed

32 mb cache

7200+ RPM or SSD

Ram 2 gb 6 gb
CPU 2 Ghz single core 3 Ghz quad-core
OS

Windows 2012 Server

Windows 2012 Server R2

Windows Server 2016

Windows Server 2019

Windows Server 2016

Windows Server 2019

Note: If using Microsoft Server 2012 R2 or higher for x360Sync Server, please note that deduplication is not recommended for any location housing x360Sync data. Deduplication can have a severe impact on the applications' performance and may result in unintended outcomes.

Supported versions of the x360Sync product

Axcient's support for the x360Sync product line is tied to the currently available release, obtainable through the auto-update tool provided with each install. 

Please see our release notes section for information on the latest available release.

It is imperative for the protection of x360Sync data that the latest version is run (once available) to ensure data security compliance.

Background

x360Sync is a cross-platform file sync and share application that functions across many devices in the user IT infrastructure: macOS, Windows, iOS, and Android.

Every effort is made to ensure that each component of each release is interoperable with other components, as well as with each of the supported operating system versions for the product.

Any time a new feature is released, the utmost care is taken to ensure that functionality remains fluid between Synced Tool for Desktop user machines, the x360Sync Application Server platform, and user mobile devices.

Mobile applications

Mobile applications are provided through the respective app stores of the mobile operating system. Our release cadence ensures that when a new server version is released, this version is pushed to those app stores to provide a seamless experience for users. While Synced Tool for macOS and Synced Tool for Windows application versions are controlled by their respective servers (i.e. a private cloud server running 2.6.2 will have version control for each Synced Tool at a 2.6.2 release as well), the mobile applications will always be at the latest supported release tied to the latest supported server build.

In addition to supporting interoperability, each release contains numerous bug fixes and various enhancements. Security patches are often included, and are necessary to safeguard x360Sync data from potential vulnerabilities that could otherwise be exploited by malicious actors. It is imperative for the protection of x360Sync data that the latest version is run (once available) to ensure data security compliance.

Last Updated: August 2021

              

 


 SUPPORT  | 720-204-4500 | 800-352-0248


695 | 887